
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET中实现jQuery Validation-Engine的Ajax验证_实用技巧 / iVAN</title>

    <meta name="description" content="ASP.NET中实现jQuery Validation-Engine的Ajax验证_实用技巧 见下图: 验证的例子:http://www.position-relative.net/creation/formValidator/ 官方地址: http://www.position-absolute.com/articles/jquery-form-validator-because-form-validation-is-a-mess/ 这个插件支持大部分的浏览器,但由于有使用到了css3的阴影和圆角样式,所以在IE浏览器下无法看到圆角和阴影效果(IE 9 支持圆角效果). 本文主要内容是">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET中实现jQuery Validation-Engine的Ajax验证_实用技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>见下图： <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEyMDYwNjIwMzc0NDE1LmpwZw==.jpg"><br />验证的例子：http://www.position-relative.net/creation/formValidator/</p>
<p>官方地址： http://www.position-absolute.com/articles/jquery-form-validator-because-form-validation-is-a-mess/</p>
<p>这个插件支持大部分的浏览器，但由于有使用到了css3的阴影和圆角样式，所以在IE浏览器下无法看到圆角和阴影效果(IE 9 支持圆角效果)。</p>
<p>本文主要内容是：在ASP.NET中实现AJAX验证功能。官方给出的Ajax验证例子是PHP的实例，笔者在网站查阅的资料基本都是翻译的官网，在ASP.NET中实现普通验证是没有问题的。但是，不能实现Ajax验证，这应该是个bug。笔者研究了插件代码，给出我自己的一种解决方案，要在ASP.NET实现这种效果，必须修改官方的主JS文件，当然同学们可以根据笔者的思路进行挖掘，欢迎补充！实现效果见下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEyMDYwNjIwMzc0NDE2LmpwZw==.jpg"></p>
<p>具体怎么使用这个插件，用搜索引擎能找到很多答案，笔者在这里简单啰嗦一下，照顾下新同学。首先我们的下载插件包，上面是官方的下载地址。 <br />插件包我们用的主要是三个文件： <br />jquery.validationEngine.js //插件主JS文件 <br />jquery.validationEngine-cn.js //验证规则JS文件 <br />validationEngine.jquery.css //样式表文件 <br />当然，这个插件是jQuery的第三方插件，所以先要应用jquery的核心库，笔者测试jquery 1.6.1 是没有问题的。 <br />1.引入jquery和插件js、css文件 <br />&lt;link href="Scripts/Validation-Engine/css/validationEngine.jquery.css" rel="stylesheet" type="text/css" /&gt; <br />&lt;script src="Scripts/jquery-1.4.1-vsdoc.js" type="text/javascript"&gt;&lt;/script&gt; <br />&lt;script src="Scripts/Validation-Engine/js/jquery.validationEngine.js" type="text/javascript"&gt;&lt;/script&gt; <br />&lt;script src="Scripts/Validation-Engine/js/languages/jquery.validationEngine-zh_CN.js" type="text/javascript"&gt;&lt;/script&gt; <br />2.初始化插件，在页面head区域加入如下代码：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$(document).ready(function() { <br />$("#formID").validationEngine() ; //formID是你要验证的表单ID <br />})</p>
<p>3.添加表单元素验证规则，常用的验证规则上面官方地址有说明，还可以百度一下，这个不是难点。 <br />&lt;input id="Text3" type="text" class="validate[required,ajax[ajaxUsers]]" /&gt; <br />多个验证多逗号隔开 <br />4.验证触发</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$("#formID").validationEngine({ <br />inlineValidation: false, //在这里修改 <br />success : false, <br />alidationEventTriggers:"keyup blur", //这里增加了个keyup，也就是键盘按键起来就触发验证 <br />promptPosition: "topRight", // 有5种模式 topLeft, topRight, bottomLeft, centerRight, bottomRight <br />failure : function() { callFailFunction() } <br />})</p>
<p>5.Ajax验证，好了，这里是才是问题所在，在分析问题之前我们先看下Validation-Engine主JS文件是怎样实现Ajax验证的。打开jquery.validationEngine.js文件，Ctrl+F用查找"$.ajax"文档中能找到两处，我们要修改的是第二处，见下面折叠的官方源代码， <br />官方jquery.validationEngine.js 文件中的关键代码</p>
<p><u>复制代码</u> 代码如下:</p>
<p>官方jquery.validationEngine.js 文件中的关键代码 <br />$.ajax({ <br />type: options.ajaxFormValidationMethod, <br />url: rule.url, <br />cache: false, <br />dataType: "json", <br />data: "fieldId=" + field.attr("id") + "&amp;fieldValue=" + field.val() + "&amp;extraData=" + extraData + "&amp;" + extraDataDynamic, <br />field: field, <br />rule: rule, <br />methods: methods, <br />options: options, <br />beforeSend: function() { <br />// build the loading prompt <br />var loadingText = rule.alertTextLoad; <br />if (loadingText) <br />methods._showPrompt(field, loadingText, "load", true, options); <br />}, <br />error: function(data, transport) { <br />methods._ajaxError(data, transport); <br />}, <br />success: function(json) { <br />// asynchronously called on success, data is the json answer from the server <br />var errorFieldId = json[0]; <br />//var errorField = $($("#" + errorFieldId)[0]); <br />var errorField = $($("input[id='" + errorFieldId +"']")[0]); <br />// make sure we found the element <br />if (errorField.length == 1) { <br />var status = json[1]; <br />// read the optional msg from the server <br />var msg = json[2]; <br />if (!status) { <br />// Houston we got a problem - display an red prompt <br />options.ajaxValidCache[errorFieldId] = false; <br />options.isError = true; <br />// resolve the msg prompt <br />if(msg) { <br />if (options.allrules[msg]) { <br />var txt = options.allrules[msg].alertText; <br />if (txt) <br />msg = txt; <br />} <br />} <br />else <br />msg = rule.alertText; <br />methods._showPrompt(errorField, msg, "", true, options); <br />} else { <br />if (options.ajaxValidCache[errorFieldId] !== undefined) <br />options.ajaxValidCache[errorFieldId] = true; <br />// resolves the msg prompt <br />if(msg) { <br />if (options.allrules[msg]) { <br />var txt = options.allrules[msg].alertTextOk; <br />if (txt) <br />msg = txt; <br />} <br />} <br />else <br />msg = rule.alertTextOk; <br />// see if we should display a green prompt <br />if (msg) <br />methods._showPrompt(errorField, msg, "pass", true, options); <br />else <br />methods._closePrompt(errorField); <br />} <br />} <br />errorField.trigger("jqv.field.result", [errorField, options.isError, msg]); <br />} <br />});</p>
<p>从上面官方源码分析，这里的AJAX验证机制也是基于jQuery的$.AJAX()方法。为了找到插件无法验证的问题，笔者用jQuery手写了一个$.AJAX()请求，来验证jquery.validationEngine.js中的AJAX验证。 <br />5.1 第一步，创建后台处理程序，这里创建一般处理程序为例子，代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>public void ProcessRequest(HttpContext context) <br />{ <br />context.Response.ContentType = "text/plain"; <br />HttpContext _content = HttpContext.Current; <br />string validateId = _content.Request["fieldId"]; <br />string validateValue = _content.Request["fieldValue"]; <br />string validateError = _content.Request["extraData"]; <br />string str; <br />if (validateValue == "abc") <br />str = "{\"jsonValidateReturn\":[\"" + validateId + "\",\"" + validateError + "\",true]}"; <br />else <br />str = "{\"jsonValidateReturn\":[\"" + validateId + "\",\"" + validateError + "\",false]}"; <br />context.Response.Write(str); <br />}</p>
<p>这里注意了：在AJAX验证的时候，会POST三个核心参数到后台，fieldId、fieldValue、extraData，当然还可自定义其它的参数传递过来 <br />5.2 第二步，创建一个aspx页面仿照Validation-Engine的JS写个AJAX请求，代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>演示页面 <br />&lt;%@ Page Language="C#" AutoEventWireup="true" CodeBehind="FormValidation.aspx.cs" Inherits="DemoWeb.FormValidation" %&gt; <br />&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt; <br />&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt; <br />&lt;head runat="server"&gt; <br />&lt;title&gt;jQuery表单验证 - Validation-Engine&lt;/title&gt; <br />&lt;link href="Scripts/Validation-Engine/css/validationEngine.jquery.css" rel="stylesheet" type="text/css" /&gt; <br />&lt;script src="Scripts/jquery-1.4.1-vsdoc.js" type="text/javascript"&gt;&lt;/script&gt; <br />&lt;script src="Scripts/Validation-Engine/js/jquery.validationEngine.js" type="text/javascript"&gt;&lt;/script&gt; <br />&lt;script src="Scripts/Validation-Engine/js/languages/jquery.validationEngine-zh_CN.js" type="text/javascript"&gt;&lt;/script&gt; <br />&lt;script type="text/javascript"&gt; <br />$(document).ready(function () { <br />$("#formID").validationEngine({ <br />ajaxFormValidation: true <br />}); <br />$.ajax({ <br />type: "get", <br />url: "AjaxBackstage/AjaxValidation.ashx", <br />cache: false, <br />data: { "fieldId": "Text4", "fieldValue": "haha", "extraData": "nowtime2012" }, <br />dataType: "json", <br />error: function (XMLHttpRequest, textStatus, errorThrown) { <br />alert("错误！XMLHttpRequest.status=" + XMLHttpRequest.status + ",XMLHttpRequest.readyState=" + XMLHttpRequest.readyState + ",textStatus=" + textStatus); <br />}, <br />success: function (json) { <br />alert("你好，成功了！"+json.jsonValidateReturn[0] + ", " + json.jsonValidateReturn[1] + "," + json.jsonValidateReturn[2]); <br />} <br />}); <br />}); <br />&lt;/script&gt; <br />&lt;/head&gt; <br />&lt;body&gt; <br />&lt;form id="formID" runat="server"&gt; <br />&lt;h2&gt; <br />jQuery - Validation-Engine - Ajax验证 <br />&lt;/h2&gt; <br />&lt;br /&gt; <br />&lt;p&gt; <br />Ajax：&lt;input id="Text3" type="text" class="validate[required,ajax[ajaxUsers]]" /&gt; <br />&lt;/p&gt; <br />&lt;p&gt; <br />Ajax：&lt;input id="Text4" type="text" class="validate[ajax[ajaxUsers]]"/&gt; <br />&lt;/p&gt; <br />&lt;p&gt; <br />Ajax：&lt;input id="Text1" type="text" class="validate[required]"/&gt; <br />&lt;/p&gt; <br />&lt;/form&gt; <br />&lt;/body&gt; <br />&lt;/html&gt;</p>
<p>url: "AjaxBackstage/AjaxValidation.ashx" 这里指向刚才创建的一般处理程序 <br />调试结果返回的是正确的json格式的数据会执行 succes下面的函数，否则执行error下面的函数，下面看一下效果</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEyMDYwNjIwMzc0NDE5LmpwZw==.jpg"> </p>
<p>返回出现错误时，是无法完成Validation-Engine的AJAX验证的。这里显示显示错误是"pars error" 编译器错误，根本原因还是返回数据的问题。下面是后台处理程序的返回数据的部分，笔者测试，字段不能用单引号，否则见上图效果，所以这里用传递的数据用双引号引起来。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>string str; <br />if (validateValue == "abc") <br />str = "{\"jsonValidateReturn\":[\"" + validateId + "\",\"" + validateError + "\",true]}"; <br />else <br />str = "{\"jsonValidateReturn\":[\"" + validateId + "\",\"" + validateError + "\",false]}"; <br />//if (validateValue == "abc") <br />// str = "{'jsonValidateReturn':['" + validateId + "','" + validateError + "',true]}"; <br />//else <br />// str = "{'jsonValidateReturn\":['" + validateId + "','" + validateError + "',false]}";</p>
<p>数据请求成功：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEyMDYwNjIwMzc0NDIwLmpwZw==.jpg"></p>
<p>5.3 第三步，根据上面的例子给jquery.validationEngine.js文件动动“手术”，参考上面第5条。jsonValidateReturn ？对，关键就在这个地方，官方版本是PHP的例子在传递的json数据有点小区别，导致json[0]获取不到数据。所以在本例中json.jsonValidateReturn[index]获取的数据才正常。当然你不喜欢这个名称jsonValidateReturn也可以自己定义一个名称，但前提必须是后台传递数据时的名称和这里的名称是一致的。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>// 异步调用成功，数据是从服务器的JSON答案 <br />// 改动地方,原来jvar errorFieldId =json[0] 在asp.Net中是获取不到数据的 <br />// 改成下面的方式，注意jsonValidateReturn这里名称定死了，在AJAX后台返回数据时必须和jsonValidateReturn一致 <br />// {"jsonValidateReturn":["validateId","validateError","true"]} <br />var errorFieldId = json.jsonValidateReturn[0]; //改动的地方 <br />//var errorField = $($("#" + errorFieldId)[0]); <br />var errorField = $($("input[id='" + errorFieldId +"']")[0]); <br />// 确保我们找到元素 <br />if (errorField.length == 1) { <br />var status = json.jsonValidateReturn[2]; //改动的地方 <br />// 从服务器读取的可选MSG <br />var msg = json.jsonValidateReturn[1]; //改动的地方 <br />if (!status) { <br />// Houston，我们有一个问题 - 显示一个红色的提示 <br />options.ajaxValidCache[errorFieldId] = false; <br />options.isError = true;</p>
<p>5.4 第四步，在语言文件中自定义规则，官方语言包中有中文语言文件调用jquery.validationEngine-zh_CN.js，这里笔者添加一个“ajaxUsers”规则。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>// --- CUSTOM RULES -- Those are specific to the demos, they can be removed or changed to your likings <br />"ajaxUsers": { <br />"url": "AjaxBackstage/AjaxValidation.ashx", // "validate.action", "validate.action"ajax验证用户名，会post如下参数：validateError ajaxUser；validateId user；validateValue cccc <br />"alertTextOk": "* 帐号可以使用.", <br />"alertTextLoad": "* 检查中, 请稍后...", <br />"alertText": "* 帐号不能使用." <br />}, <br />"ajaxUserCall": { <br />"url": "ajaxValidateFieldUser", <br />// you may want to pass extra data on the ajax call <br />//"extraData": "name=eric", <br />"alertText": "* 此名称已被其他人使用", <br />"alertTextLoad": "* 正在确认名称是否有其他人使用，请稍等。" <br />},</p>
<p>OK，试试看验证是不是能成功了呢。。。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEyMDYwNjIwMzc0NDIxLmpwZw==.jpg"></p>
<p>最后，总结出来一点经验，拿出来分享。“从事物的本质中寻找问题的答案！”。</p>
<p>作者：skylinetour</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-12 16:49:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/validation-engine/" title="Validation-Engine">Validation-Engine</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET中实现jQuery Validation-Engine的Ajax验证_实用技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKq3ZZp.html" rel="bookmark">asp&period;net中利用ashx实现图片防盗链代码&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GET /Img.ashx?img=svn_work.gif HTTP/1.1 Accept: */* Referer: http://www.svnhost.cn/ Accept-Language: zh-cn UA-CPU: x86 Accept-Encoding: gzip, deflate User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.2; .NET CLR 1.1.4322; .NET CLR 2.0.50727			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5JELz.html" rel="bookmark">ASP&period;net中实现基于UrlRewrite的防盗链功能&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在ASP.net中最快实现UrlRewrite的方法这篇文章中说了如何做UrlRewrite,那只是一个最简单的应用 其实利用UrlRewrite与IIS的设置我们可以实现简单而有效的防盗链功能. 假设你的站点有一个文件:web.rar,你希望只有具有某些特定域名的来源地址或是已经登陆的用户才能访问,这时就得用到防盗链功能,在ASP时代,我们需要借助第三方组件来完成这个效果,但是在ASP.net中我们可直接利用Context.RewritePath来实现了. 下载配置文件: 复制代码 代码如下:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7xWeM.html" rel="bookmark">ASP&period;NET中Form表单不可以嵌套使用&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我非常确定在ASP 中是可以有多个form 表单的,以前常常这样干的,在后台分类管理页面中,把添加和修改放在同一个页面,这样就需要用到两个 form 表单进行提交服务器代码处理. 经过测试,在ASP.NET 也是可以一个页面有多个form 表单的,例如下面的代码: &lt;form id=&quot;form1&quot;&gt;&lt;/form&gt;&lt;form id=&quot;form2&quot;&gt;&lt;/form&gt;&lt;form id=&quot;form3&quot;&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NBRPz.html" rel="bookmark">asp&period;net中EXCEL数据导入到数据库的方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了asp.net中EXCEL数据导入到数据库的方法.分享给大家供大家参考.具体分析如下: excel是办公中非常常用的一个办公表格了,但我们在开发中通常会需要直接把excel数据快速导入到数据库中了,这里整理了一个asp.net中EXCEL数据导入到数据库的例子供各位参考学习. 注意:EXCEL中的第一行不能导入.下面是源码:IntoExcel.aspx: 复制代码 代码如下: &lt;%@ Page  AutoEventWireup=&quot;true&quot; CodeFile=&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYZ4Zb.html" rel="bookmark">asp&period;net中C&num;实现手动回收内存的方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C#有自动回收内存的机制,但是有时自动回收有一定滞后,需要在变量使用后迅速回收,节约内存,这里介绍一个最简单的方法. 1.先对对象赋值 null; 2.使用System.GC.Collect() 复制代码 代码如下: class Program {          static void Main(string[] args)          {              long lenth = 1024 * 1024 * 128;                GetCost(&quot;程序启动			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDk5mLp.html" rel="bookmark">asp&period;net中Timer无刷新定时器的实现方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本文实例讲述了asp.net中Timer无刷新定时器的实现方法.Timer控件要实现无刷新,得用到ajax技术,这里使用VS2008自带的ajax技术.    首先得添加一个ScriptManager控件,然后再添加一个UpdatePanel用于存放Timer控件内容的,就可以实现无刷新了.下面是详细的内容: 一.前台代码如下: &lt;form id=&quot;form1&quot; runat=&quot;server&quot;&gt; &lt;asp:ScriptManager ID=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmZVRp.html" rel="bookmark">ASP&period;NET中常用输出JS脚本的类实例&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了ASP.NET中常用输出JS脚本的类,针对过去输出js脚本的类进行了一定的改进.在项目开发中非常具有实用价值.分享给大家供大家参考.具体如下: 很多时候在ASP.NET中我们经常需要输出一些JS脚本,比如弹出一个警告窗口,返回到历史页面等JS功能,我看到网上流传得比较广的是马先光写的一个JScript类,这个类基本将经常用到的JS脚本包含了,非常方便,唯一的不足是作者采用的Response.Write(string msg)的办法,这样造成输出的js脚本在&lt;html&gt;&lt;/h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAXav3b.html" rel="bookmark">asp&period;net中的check与uncheck关键字用法解析&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了asp.net中的check与uncheck关键字用法.分享给大家供大家参考.具体分析如下: checked和unchecked是两个不常用的关键字,但是确是非常有用的关键字,对此,建议测试时开启全局checked编译器选项. 1. 一段编译没经由过程的代码 复制代码 代码如下: int a = int.MaxValue * 2; 以上代码段编译没有经由过程,在VS2010中会有一条红色的波浪线指出这段代码有题目:&quot;The operation overflows at compil			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrYxEp.html" rel="bookmark">Asp&period;net MVC中使用JQuery插件ajaxFileUpload上传文件&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0 ajaxFileUpload简介  ajaxFileUpload插件是一个非常简单的基于Jquery的异步上传文件的插件,使用过程中发现很多与这个同名的,基于原始版本基础之上修改过的插件,文件版本比较多,我把我自己使用的ajaxFileUpload文件上传到博客园上了,想要使用的朋友可以下载:http://xiazai.jb51.net/201611/yuanma/ajaxfileupload(jb51.net).rar.  整个插件源码不到200行,实现非常简单,大致原理就是通过js动态创			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgEAOz.html" rel="bookmark" class="title">Ehcache学习笔记</a>
					<div>
						Ehcache是一种广泛使用的开源Java分布式缓存,主要面向通用缓存,Java EE和轻量级容器.本博文使用3.x版本. maven包含依赖 &lt;dependency&gt; &lt;group ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLJXab.html" rel="bookmark" class="title">DIV&plus;CSS制作网页心得</a>
					<div>
						其实DIVCSS是很简单的一种布局方式,甚至比任何一种编程语言都要简单(虽然它不能算是编程语言). DIVCSS是目前互联网网页制作最热门的方法,但对于完全手写代码,许多网页设计师都望而止步. 其实D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaa5qb.html" rel="bookmark" class="title">WML初级教程之关于WML文档结构详解</a>
					<div>
						教程|详解 1.声明(prologue) &lt;?xml version=&quot;1.0&quot;?&gt; &lt;!doctype wml public &quot;-//wapforum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVA0Dp.html" rel="bookmark" class="title">教你如何使用PHP在线生成PDF文件</a>
					<div>
						什么是FPDF? FPDF is a PHP class which allows to generate PDF files with pure PHP, that is to say withou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNwxJp.html" rel="bookmark" class="title">c&num;写的贪吃蛇小游戏</a>
					<div>
						下面是游戏的源代码.有两个文件:Main.cs 和 Snake.cs //// Main.cs Begin//using System;using System.Drawing;using Syste ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmkvab.html" rel="bookmark" class="title">Photoshop制作透明水印文字教程</a>
					<div>
						Photoshop利用填充工具制作透明水印文字教程. 图层面板中不难看到填充这东东,但应该有不少朋友视它而不见吧!尽管是坊间的书籍或者是官方网站都只有简单的文字说明,明明写的都是中文,却是有看而没有明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91NkKM.html" rel="bookmark" class="title">如何打印Word 2013文档中的域代码</a>
					<div>
						用户在使用Word2013编辑文档时,可以在打印含有域的Word文档时只打印域代码而不打印域值,具体操作步骤如下所述: 第1步,打开Word2013文档窗口,依次单击&quot;文件&quot;→&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy7eKb.html" rel="bookmark" class="title">如何在NT下获取进程的路径（增补）</a>
					<div>
						一.程序说明 最近整理文档,发现以前写的&lt;如何在NT下获取进程的路径&gt;一文中还有个问题没有解决:原文中的程序无法获取系统进程的路径,如:csrss.exe.记得VCKBASE上有位网友说过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnaXBz.html" rel="bookmark" class="title">Word入门动画教程35：查看统计信息</a>
					<div>
						Word文档的统计信息包括页数.段落数.行数.字数.字符数以及字节数等信息.可以按以下方法查看: 方法一:执行&quot;文件&quot;→&quot;打开&quot;,在对话框中选中要查看的Word ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jeK4b.html" rel="bookmark" class="title">Java线程：新特征-阻塞队列</a>
					<div>
						阻塞队列是Java5线程新特征中的内容,Java定义了阻塞队列的接口 java.util.concurrent.BlockingQueue,阻塞队列的概念是,一个指定长度的队列,如果队列满了,添加新元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2l7Jb.html" rel="bookmark" class="title">360安全卫士怎么安装</a>
					<div>
						  如何安装360安全卫士           相对360安全卫士的其他功能,安装便显得简单了.下面来看一下360安全卫士的安装过程吧. 1.下载完成后,双击文件进行安装. 2.你可以选择快速安装,也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal85Pz.html" rel="bookmark" class="title">警惕&OpenCurlyDoubleQuote;仙剑&rdquo;木马篡改浏览器首页</a>
					<div>
						辛苦从网上下载了一个软件,安装后没看到我想要的功能电脑里面却多了一堆病毒,电脑也出现一个让人不爽的情况,如最喜欢用的浏览器图标突然都不见了;桌面也多了了淘宝特卖之类的讨厌的图标,崩溃的是删除以后重启电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7BvAb.html" rel="bookmark" class="title">WinXP系统如何开启无线网卡？</a>
					<div>
						  WinXP系统如何开启无线网卡?           一.启动系统内置无线网络服务功能 1.右键点击&quot;我的电脑&quot;,选择&quot;管理 &quot; 2.选择&quot; 服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPVx0M.html" rel="bookmark" class="title">在局域网中WLAN技术的优势</a>
					<div>
						一个无线局域网可当作有线局域网的扩展来使用,也可以独立作为有线局域网的替代设施,因此无线局域网提供了很强的组网灵活性. 无线局域网(WLAN)技术的成长始于20世纪80年代中期,它是由美国联邦通信委员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o7GDb.html" rel="bookmark" class="title">win&plus;E快捷键失灵打不开解决办法</a>
					<div>
						  同时按下Win+R组合键或者在&quot;开始&quot;搜索栏中键入regedit.exe,回车,即打开注册表编辑器 在&quot;注册表编辑器&quot;窗口,依次找到并点击HKEY_CLAS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKVVKM.html" rel="bookmark" class="title">华硕主板M5A78L-M LX3 PLUS前置面板音频无声音怎么办？</a>
					<div>
						  1.打开华硕官网,点击服务支持,点击更多详情 2.输入m5a78然后选择M5A78L-M LX3 PLUS,点击旁边的搜索图标 3.点击驱动程序和工具软件 4.点击声卡驱动程序,选择最新版本也就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkG37b.html" rel="bookmark" class="title">开博首记</a>
					<div>
						         太多奇心,总想把所有东西都学懂,东一榔头,西一棒子,再有一年就研究生毕业了,决定开个博客,把学到的东西总结总结,也方便工作了留作参考.          就先从网络内核开始吧.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRZwDz.html" rel="bookmark" class="title">手机卫士10-手机被盗后定位实现</a>
					<div>
						好啦,废话不多说,我们进入主题,今天我们要继续上一次讲的,就是手机被盗之后,获得手机所在的位置. 上一次,我们说到了,如果我们的sim卡被人换掉了,那么就会发送一条短信到我们的原来设定的安全号码那里的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6nQ7z.html" rel="bookmark" class="title">DDD领域驱动设计 - 设计文档模板</a>
					<div>
						设计文档模板: 系统背景和定位 业务需求描述 系统用例图 关键业务流程图 领域语言整理,主要是整理领域中的各种术语的定义,名词解释 领域划分(分析出子域.核心域.支撑域) 每个子域的领域模型设计(实体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr6nQM.html" rel="bookmark" class="title">关于websphere MQ 6 JMSAdmin的问题</a>
					<div>
						问题描述 在命令窗口下运行C:ProgramFilesIBMWebSphereMQJavabinJMSAdmin-cfgMyAdmin.config出现以下错误:Exceptioninthread&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGALmvM.html" rel="bookmark" class="title">山东青岛市南区&colon;创建&amp;quot&semi;物联网&amp;quot&semi; 信息化管理涉案财物</a>
					<div>
						近日,山东省青岛市市南区检察院自主设计研发&quot;物联网&quot;涉案财物管理系统,使涉案财物管理工作步入了信息化管理模式. 涉案财物管理工作是案件办理过程中一个相当重要的环节,而以往主要靠人工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZLqXp.html" rel="bookmark" class="title">RSD和wlwmanifest是什么</a>
					<div>
						  今天小博发现header.php文件里&lt;?php wp_head(); ?&gt;显示有以下的两句代码,因为小博的网站打开速度实在太慢了,换空间怕麻烦,那就只有优化代码了. &lt;link ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn0AlM.html" rel="bookmark" class="title">Android 适配器教程 （六）</a>
					<div>
						我们的适配器学习已经接近尾声了,虽然这不是一个大问题,但是确实是值得学习的一块知识,回想一下之前五讲的知识,我们已经学到了很多东西了.                在之前五讲中,我们已经由浅入深的认 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nry6z.html" rel="bookmark" class="title">Google AdSense TH Online 标准条款出台</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 Google AdSense TH Online 标准条款 注册 GOOGLE ADSENSE ONLINE 计划之前,一定要非常仔细 地 阅读 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8Prkb.html" rel="bookmark" class="title">&period;NET动态加载用户控件并传值的方法&lowbar;实用技巧</a>
					<div>
						ASPX.CS里的代码: 复制代码 代码如下: UserControl uc = (UserControl)LoadControl(actionOne[1].ToString());uc.GetTyp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmPQap.html" rel="bookmark" class="title">oracle数据库ORA-600 kcrfr&lowbar;update&lowbar;nab&lowbar;2 故障恢复</a>
					<div>
						由于控制器掉线导致数据库启动报ORA-600 kcrfr_update_nab_2错误,导致无法正常open 数据库版本信息 ORACLE V10.2.0.4.0 - 64bit Production ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNqxVp.html" rel="bookmark" class="title">用工厂流水线的方式来理解 RxJava 的概念</a>
					<div>
						本文讲的是用工厂流水线的方式来理解 RxJava 的概念, 本文已授权微信公众号 AndroidDeveloper 独家发布. 原文链接 : RxJava – the production line  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWdD3z.html" rel="bookmark" class="title">界面 消息提示-像微信中有新消息时会在右上角提示，他的提示界面是怎么做的？</a>
					<div>
						问题描述 像微信中有新消息时会在右上角提示,他的提示界面是怎么做的? 像微信中有新消息时会在右上角提示,他的提示界面是怎么做的?希望大家给予指导,谢谢.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBjxvb.html" rel="bookmark" class="title">版权分发为乐视贡献了多少收入？</a>
					<div>
						 众所周知,在绝大部分视频内容方还没有意识到互联网观影时代来临之前,乐视就以极低的价格买到了很多版权,版权分发也成为其收入来源的一大块.到底乐视从版权中获得了多少红利,这两年随着乐视大力发展终端业务, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW4j1M.html" rel="bookmark" class="title">苹果派息真正英明之处：避免进行愚蠢收购</a>
					<div>
						[搜狐IT消息]3月23日消息,MarketWatch专栏作家马克曼(Jon D. Markman)昨天撰文,对苹果决定派息一事作出评论.全文 如下:和全球其它大企业一样,苹果周一时宣布将派息,它决定 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
